#include <bits/stdc++.h>
 
typedef long long ull; 

using namespace std;

int brcif(int a){
    int brCif = 0;
    while(a>0){
        brCif++;
        a/=10;
    }
    return brCif;
}

int main(){
    int a, b;cin >> a >> b;
    vector<int> br;
    while(a>0 && b>0){
        if((a%10) > (b%10)){
            br.push_back((a%10));
        }
        else if((b%10) > (a%10)){
            br.push_back(b%10);
        }
        else{
            br.push_back(a%10);
            br.push_back(b%10);
        }
        a/=10;b/=10;
    }
    if(a>0){
        while(a>0){
            br.push_back(a%10);
            a/=10;
        }
    }
    if(b>0){
        while(b>0){
            br.push_back(b%10);
            b/=10;
        }
    }
    for(int i = br.size()-1;i >= 0;i--){
        cout << br[i];
    }
    return 0;
}